View Issue Details

IDProjectCategoryView StatusLast Update
0000825SymmetricDSImprovementpublic2014-02-02 20:52
ReportermhanesAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.5 
Target Version3.1.7Fixed in Version3.1.7 
Summary0000825: Improve error handling around SymmetricEngineHolder if the engines dir isn't writeable or isn't a directory
DescriptionImprove error handling around SymmetricEngineHolder if the engines dir isn't writeable or isn't a directory:

SEVERE: Exception sending context initialized event to listener instance of class org.jumpmind.symmetric.web.SymmetricContextListener java.lang.NullPointerException at org.jumpmind.symmetric.web.SymmetricEngineHolder.start(SymmetricEngineHolder.java:105) at org.jumpmind.symmetric.web.SymmetricContextListener.contextInitialized(SymmetricContextListener.java:39) at org.apache.catalina.core.StandardContext.listenerStart(StandardContext.java:4205) at org.apache.catalina.core.StandardContext.start(StandardContext.java:4704) at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:799) at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:779) at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:601) at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:943) at org.apache.catalina.startup.HostConfig.deployWARs(HostConfig.java:778) at org.apache.catalina.startup.HostConfig.deployApps(HostConfig.java:504) at org.apache.catalina.startup.HostConfig.start(HostConfig.java:1315) at org.apache.catalina.startup.HostConfig.lifecycleEvent(HostConfig.java:324) at org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(LifecycleSupport.java:142) at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1061) at org.apache.catalina.core.StandardHost.start(StandardHost.java:840) at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1053) at org.apache.catalina.core.StandardEngine.start(StandardEngine.java:463) at org.apache.catalina.core.StandardService.start(StandardService.java:525) at org.apache.catalina.core.StandardServer.start(StandardServer.java:754) at org.apache.catalina.startup.Catalina.start(Catalina.java:595) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) at java.lang.reflect.Method.invoke(Method.java:597) at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:289) at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:414)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master c7d73db0

2012-09-13 14:46:15

eegeek

Details Diff
0000825: Improve error handling around SymmetricEngineHolder if the engines dir isn't writeable or isn't a directory
0000825
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/SymmetricEngineHolder.java Diff File

Issue History

Date Modified Username Field Change
2012-09-13 10:51 mhanes New Issue
2012-09-13 10:51 mhanes Status new => assigned
2012-09-13 10:51 mhanes Assigned To => mhanes
2012-09-13 14:46 mhanes Status assigned => resolved
2012-09-13 14:46 mhanes Fixed in Version => 3.2.0
2012-09-13 14:46 mhanes Resolution open => fixed
2012-09-13 14:46 mhanes Assigned To mhanes => chenson
2012-10-22 20:35 chenson Fixed in Version 3.2.0 => 3.1.7
2012-10-22 20:36 chenson Target Version 3.2.0 => 3.1.7
2012-10-22 20:37 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6282
2015-07-30 21:49 Changeset attached => SymmetricDS master c7d73db0